BEGIN BSSALIA

//
//IF 
//  ~Global("SaliaRomance","GLOBAL",2)
//   !Global("BodhiHatesPlayer","GLOBAL",0)
//   Global("FinalLoveTalk","LOCALS",1)~ THEN BEGIN FinalLoveTalk
//  SAY ~<CHARNAME>, we prevailed over all our enemies together.~
//  =
//  ~But there is a last and most dangerous of all enemies we were encoutering before.~
//  =
//  ~To risk my life I must be certain about your feelings for me, <CHARNAME>.~
//  IF ~OR(5)
//  Global("DerekRomance","GLOBAL",2)
//  Global("VynonaRomance","GLOBAL",2)
//  Global("AnomenRomance","GLOBAL",2)
//  Global("AerieRomance","GLOBAL",2)
//  Global("JaheiraRomance","GLOBAL",2)
//  Global("ViconiaRomance","GLOBAL",2)~ THEN GOTO LoveInterestSelection
//  
// // IF ~
// // !Global("DerekRomance","GLOBAL",2)
// // !Global("VynonaRomance","GLOBAL",2)
// // !Global("AnomenRomance","GLOBAL",2)
// // !Global("AerieRomance","GLOBAL",2)
// // !Global("JaheiraRomance","GLOBAL",2)
// // !Global("ViconiaRomance","GLOBAL",2)~ THEN GOTO LoveInterestNoSelection
//  
//
//  
//  
//END
//
//IF ~~ LoveInterestSelection
//  SAY ~You said you love me, but I think you said exactly same things to others.~
//    IF ~Gender(Player1,MALE)
//!HasItemEquipedReal("BELT05",Player1)~ THEN GOTO LoveInterestSelectionM
//  IF ~!Gender(Player1,MALE)
//!HasItemEquipedReal("BELT05",Player1)  ~ THEN GOTO LoveInterestSelectionF
//
//  IF ~!Gender(Player1,MALE)
//HasItemEquipedReal("BELT05",Player1)~ THEN GOTO LoveInterestSelectionM
//  IF ~Gender(Player1,MALE)
//HasItemEquipedReal("BELT05",Player1)  ~ THEN LoveInterestSelectionF   
//END
//
//
//IF ~~ LoveInterestNoSelection
//  SAY ~You said you love me. Do you still feel like that?~
//    IF ~Gender(Player1,MALE)
//!HasItemEquipedReal("BELT05",Player1)~ THEN GOTO LoveInterestNoSelectionM
//  IF ~!Gender(Player1,MALE)
//!HasItemEquipedReal("BELT05",Player1)  ~ THEN GOTO LoveInterestNoSelectionF
//
//  IF ~!Gender(Player1,MALE)
//HasItemEquipedReal("BELT05",Player1)~ THEN GOTO LoveInterestNoSelectionM
//  IF ~Gender(Player1,MALE)
//HasItemEquipedReal("BELT05",Player1)  ~ THEN LoveInterestNoSelectionF   
//END
//
//IF ~~ LoveInterestSelectionM
//  SAY ~<CHARNAME>, do you love or not?~
//  IF ~Global("DerekRomance","GLOBAL",2)~ GOTO LoveDerek
//  IF ~Global("VynonaRomance","GLOBAL",2)~ GOTO LoveVynona
//  IF ~Global("AnomenRomance","GLOBAL",2)~ GOTO LoveAnomen
//  IF ~Global("AnomenRomance","GLOBAL",2)~ GOTO LoveAnomen  
//  IF ~Global("AnomenRomance","GLOBAL",2)~ GOTO LoveAnomen
//  IF ~Global("AnomenRomance","GLOBAL",2)~ GOTO LoveAnomen
//END
//
//IF ~~ LoveDerek
//  SAY ~Do you prefer me this Derek, this standart of swine?~
//  =
//  ~Are you really found of his vulgarity and dirty jokes?~
//  =
//  ~I cannot believe this!~
//  IF ~~ THEN REPLY ~I love Derek.~ GOTO LoveFail
//  IF ~~ THEN REPLY ~I only slept with him due to lack of men. Salia, don't panic, I love you.~
//
//END  
//
//IF ~~ LoveFail
//  SAY ~<CHARNAME>, you have thrown me away. I will outlive this. But all that crazy things between us end here.~
//  IF ~~ THEN DO ~SetGlobal("SaliaRomance","GLOBAL",3)~ EXIT
//END  
//  
//  
//IF ~~ LoveFail
//  SAY ~<CHARNAME>, you have thrown me away. I will outlive this. But all that crazy things between us end here.~
//  IF ~~ THEN DO ~SetGlobal("SaliaRomance","GLOBAL",3)~ EXIT
//END  
 

//Love Talk 1

IF ~OR(2)
Global("SaliaRomance","GLOBAL",1)
Global("SaliaRomance","GLOBAL",2)
Global("SaliaRomanceTalk","LOCALS",1)
Global("SaliaRomanceTalkStart","LOCALS",1)~ THEN BEGIN LoveTalk1Love
SAY ~(Salia sits on her coffin and corrects her makeup, looking into hand mirror.)~
=
~(She is beautiful, her forms are ideal, her pale sharp shoulders invite you to kiss them.)~
  IF ~Gender(Player1,MALE)
!HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~(Kiss her shoulder)~ GOTO LoveTalk1KissM
  IF ~!Gender(Player1,MALE)
!HasItemEquipedReal("BELT05",Player1)  ~ THEN REPLY ~(Kiss her shoulder)~ GOTO LoveTalk1KissF

  IF ~!Gender(Player1,MALE)
HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~(Kiss her shoulder)~ GOTO LoveTalk1KissM
  IF ~Gender(Player1,MALE)
HasItemEquipedReal("BELT05",Player1)  ~ THEN REPLY ~(Kiss her shoulder)~ GOTO LoveTalk1KissF


  IF ~~ THEN REPLY ~(Ignore her, you have a lover who will not understand this)~ GOTO LoveTalk1Lover
  IF ~~ THEN REPLY ~(Ignore her, she was a courtesan and you despise them)~ GOTO LoveTalk1Courtesan
END

IF ~~ LoveTalk1KissM
 SAY ~(Suddenly she feels the movement and moves away)~
 =
 ~Master, please, don't touch me.~
 =
 ~I cannot stand males.~
 IF ~~ THEN REPLY ~But why?~ GOTO LoveTalk1NoMenM
 IF ~~ THEN REPLY ~You are a lesbian?~ GOTO LoveTalk1Lesbian
END


IF ~~ LoveTalk1KissF
 SAY ~(Salia shivers from a kiss, then turns with a lustful smile and kisses your lips, looking into your eyes)~
 =
 ~Mistress, you are lesbian.~
 IF ~~ THEN REPLY ~I am bisexual, Salia.~ GOTO LoveTalk1NoMenF
 IF ~~ THEN REPLY ~Yes, I am lesbian.~ GOTO LoveTalk1Lesbian
END


IF ~~ LoveTalk1Lover 
 SAY ~(You better start looking at your lover, or there will be a scandal)~ 
 IF ~~ THEN DO ~SetGlobal("SaliaRomance","GLOBAL",3)~ EXIT
END
 


IF ~~ LoveTalk1Courtesan 
 SAY ~(Courtesans are filthy and you hate them for selling love)~ 
 IF ~~ THEN DO ~SetGlobal("SaliaRomance","GLOBAL",3)~ EXIT
END 

IF ~~ LoveTalk1NoMenM
  SAY ~Why? Most of my life as human I pleased unfaithful husbands, perverts or brutes in exchange of low quality food and damned room with bedbugs rent.~
  IF ~~ THEN REPLY ~I throught courtesans are rich.~ GOTO LoveTalk1Rich
  IF ~~ THEN REPLY ~What a pity!~ GOTO LoveTalk1Pity
  IF ~~ THEN REPLY ~Males are swines.~ GOTO LoveTalk1SwineM
END

IF ~~ LoveTalk1NoMenF
  SAY ~Then you had a good childhood without a need of survival.~
  =
  ~Most of my life as human I pleased unfaithful husbands, perverts or brutes in exchange of low quality food and damned room with bedbugs rent.~
  IF ~~ THEN REPLY ~I throught courtesans are rich.~ GOTO LoveTalk1Rich
  IF ~~ THEN REPLY ~What a pity!~ GOTO LoveTalk1Pity
  IF ~~ THEN REPLY ~Males are swines.~ GOTO LoveTalk1SwineF  
END

IF ~~ LoveTalk1Lesbian
 SAY ~Yes, I love women. I understand my gender at least.~
 =
 ~Males are disgraceful pigs thinking about a place for their penises.~
 IF ~!Gender(Player1,MALE)
!HasItemEquipedReal("BELT05",Player1) ~ THEN REPLY ~But why you hate men?~ GOTO LoveTalk1NoMenF
 IF ~Gender(Player1,MALE)
 !HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~But why you hate men?~ GOTO LoveTalk1NoMenM

 IF ~Gender(Player1,MALE)
 HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~But why you hate men?~ GOTO LoveTalk1NoMenF
 IF ~!Gender(Player1,MALE)
 HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~But why you hate men?~ GOTO LoveTalk1NoMenM
END

IF ~~ LoveTalk1Rich
  SAY ~There are women who have an inheritance, an education and love sex.~
  =
  ~They are courtesans for a hobby. And they sleep with rich and educated men.~
   =
   ~I came into that business from a street. Noone cared for me or gave me helping hand.~
   =
   ~I should have been surviving by myself.~
  IF ~~ THEN REPLY ~What a pity!~ GOTO LoveTalk1Pity
    IF ~~ THEN REPLY ~Don't try to look like victim. You sure liked sex.~ GOTO LoveTalk1Victim
END

IF ~~ LoveTalk1Victim
  SAY ~You are my mistress, but don't even talk with me about anything but business.~
  IF ~~ THEN DO ~SetGlobal("SaliaRomance","GLOBAL",3)~ EXIT
END  

IF ~~ LoveTalk1Pity
  SAY ~Bodhi freed me from this hell. Now I can choose with whom to sleep. Thanks her.~
IF ~~ THEN DO ~~ EXIT
END

IF ~~ LoveTalk1SwineM
  SAY ~I see. You even ready to criticise your own gender just to get closer to me.~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ LoveTalk1SwineF
  SAY ~You understand me well.~
  IF ~~ THEN DO ~~ EXIT
END


//Love Talk 2
IF ~OR(2)
Global("SaliaRomance","GLOBAL",1)
Global("SaliaRomance","GLOBAL",2)
Global("SaliaRomanceTalk","LOCALS",2)
Global("SaliaRomanceTalkStart","LOCALS",1)~ THEN BEGIN LoveTalk2
SAY ~You wanted something, <CHARNAME>?~

  IF ~Gender(Player1,MALE)
!HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~I wanted to ask. You hate men. But didn't women bought your body also?~ GOTO LoveTalk1WomanM
  IF ~!Gender(Player1,MALE)
!HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~I wanted to ask. You hate men. But didn't women bought your body also?~ GOTO LoveTalk1WomanF

  IF ~!Gender(Player1,MALE)
HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~I wanted to ask. You hate men. But didn't women bought your body also?~ GOTO LoveTalk1WomanM
  IF ~Gender(Player1,MALE)
HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~I wanted to ask. You hate men. But didn't women bought your body also?~ GOTO LoveTalk1WomanF



  IF ~~ THEN REPLY ~(Ignore her, you have a lover who will not understand you flirting with another woman)~ GOTO LoveTalk1Lover
  IF ~~ THEN REPLY ~(Ignore her, she was a courtesan and you despise them)~ GOTO LoveTalk1Courtesan
END

IF ~~ LoveTalk1WomanM
  SAY ~Your kind often uses sex no to please a woman, but to humilate and taste strength and superiority over woman.~
  =
  ~I met only a few males of gentle kind, most of other men were pure animals.~
  =
  ~I don't know yet, of what type you are of, and I don't want to learn it.~
  IF ~~ THEN REPLY ~I care about my partner's pleasure and health, Salia.~ GOTO LoveTalk2Care
  IF ~~ THEN REPLY ~Gods made us like this. We are strong and straight, it's woman nature to serve us as a pleasure slave!~ GOTO LoveTalk2Swine
END
  
  IF ~~ LoveTalk2Swine
  SAY ~You are my master, but don't even talk with me about anything but business.~
  IF ~~ THEN DO ~SetGlobal("SaliaRomance","GLOBAL",3)
SetGlobal("PlayerIsSwine","LOCALS",1)~ EXIT
END  
  
   
  IF ~~ LoveTalk2Care
  SAY ~Good to hear that. But I think you are lying, as all your gender does.~
  IF ~~ THEN DO ~~ EXIT
END  
  
  
IF ~~ LoveTalk1WomanF
  SAY ~Mankind often uses sex no to please us, but to humilate and taste strength and superiority over us.~
  =
  ~I met only a few males of gentle kind, most of other men were pure animals.~
  IF ~~ THEN REPLY ~How I understand you, Salia.~ GOTO LoveTalk2Understand
  IF ~~ THEN REPLY ~Gods made them like this. They are strong and straight, it's our nature to serve them as a pleasure slave!~ GOTO LoveTalk2SwineF
END
  
  IF ~~ LoveTalk2SwineF
  SAY ~You are my mistress, but don't even talk with me about anything but business.~
  IF ~~ THEN DO ~SetGlobal("SaliaRomance","GLOBAL",3)
SetGlobal("PlayerIsSwine","LOCALS",1)~ EXIT
END  
  
  
  IF ~~ LoveTalk2Understand
  SAY ~Pure <CHARNAME>, you had to edure it yourself. Let me embrace and hold you in my arms.~
  IF ~~ THEN DO ~~ EXIT
END  
    
  
//Love Talk 3

IF ~OR(2)
Global("SaliaRomance","GLOBAL",1)
Global("SaliaRomance","GLOBAL",2)
Global("SaliaRomanceTalk","LOCALS",3)
Global("SaliaRomanceTalkStart","LOCALS",1)~ THEN BEGIN LoveTalk3
SAY ~<CHARNAME>, what is with this tricky smile on your face? Do you have something?~
  IF ~Gender(Player1,MALE)
!HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~Salia, but isn't it natural to have sex with men? I am not trying to force you into something. I just want to understand, is this is blind hate or throughtful choice?~ GOTO LoveTalk3M
  IF ~Gender(Player1,MALE)
!HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~Salia, but isn't it natural to have sex with men? I am not trying to force you into something. I just want to understand, is this is blind hate or throughtful choice?~ GOTO LoveTalk3F

  IF ~!Gender(Player1,MALE)
HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~Salia, but isn't it natural to have sex with men? I am not trying to force you into something. I just want to understand, is this is blind hate or throughtful choice?~ GOTO LoveTalk3M
  IF ~Gender(Player1,MALE)
HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~Salia, but isn't it natural to have sex with men? I am not trying to force you into something. I just want to understand, is this is blind hate or throughtful choice?~ GOTO LoveTalk3F




  IF ~~ THEN REPLY ~(Ignore her, you have a lover who will not understand you flirting with another woman)~ GOTO LoveTalk1Lover
  IF ~~ THEN REPLY ~(Ignore her, she was a courtesan and you despise them)~ GOTO LoveTalk1Courtesan
END

IF ~~ LoveTalk3M
  SAY ~For me it's natural to suck blood from humans.~
  =
  ~If you knew how many times I was penetrated and hurt, you would feel sorry for me.~
  IF ~~ THEN REPLY ~So it's just a question of pain. If a man will love you gentle and caring, this will do the thing.~ GOTO LoveTalk3M2
END

IF ~~ LoveTalk3F
  SAY ~For me it's natural to suck blood from humans.~
  =
  ~If you knew how many times I was penetrated and hurt, you would feel sorry for me.~
  IF ~~ THEN REPLY ~So it's just a question of pain. If a man will love you gentle and caring, this will do the thing.~ GOTO LoveTalk3F
END
  

IF ~~ LoveTalk3M2
  SAY ~I am not ready to agree on this with you, <CHARNAME>.~
  =
  ~I still have nightmares about my job when I sleep in my coffin.~
  IF ~~ THEN REPLY ~Salia, I am Bhaalspawn, my nightmare are a way much scary than yours.~ GOTO LoveTalk2NightmareM2
END

IF ~~ LoveTalk3F2
  SAY ~I am not ready to agree on this with you, <CHARNAME>.~
  =
  ~I still have nightmares about my job when I sleep in my coffin.~
  IF ~~ THEN REPLY ~Salia, I am Bhaalspawn, my nightmare are a way much scary than yours.~ GOTO LoveTalk2NightmareF2
END

IF ~~ LoveTalk2NightmareM2
   SAY ~Men are evil, that's why you see nightmares, <CHARNAME>.~ 
   IF ~~ THEN DO ~~ EXIT
END

  
IF ~~ LoveTalk2NightmareF2
   SAY ~Pure <CHARNAME>, let me embrace and kiss you. If I will see you are seeing nightmares, I will wake you from now on.~ 
   IF ~~ THEN DO ~~ EXIT
END



  
//Love Talk 4

IF ~OR(2)
Global("SaliaRomance","GLOBAL",1)
Global("SaliaRomance","GLOBAL",2)
Global("SaliaRomanceTalk","LOCALS",4)
Global("SaliaRomanceTalkStart","LOCALS",1)~ THEN BEGIN LoveTalk4
SAY ~<CHARNAME>, you sure drew attention to me. My lesbian orientation gives you no comfort?~
  IF ~Gender(Player1,MALE)
!HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~Salia, I just want you to stop hating men.~ GOTO LoveTalk4M
  IF ~!Gender(Player1,MALE)
!HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~Salia, I just want you to stop hating men.~ GOTO LoveTalk4F

  IF ~!Gender(Player1,MALE)
HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~Salia, I just want you to stop hating men.~ GOTO LoveTalk4M
  IF ~Gender(Player1,MALE)
HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~Salia, I just want you to stop hating men.~ GOTO LoveTalk4F




  IF ~~ THEN REPLY ~(Ignore her, you have a lover who will not understand you flirting with another woman)~ GOTO LoveTalk1Lover
  IF ~~ THEN REPLY ~(Ignore her, she was a courtesan and you despise them)~ GOTO LoveTalk1Courtesan
END

IF ~~ LoveTalk4
  SAY ~And what are your arguments this time, <CHARNAME>?~
  IF ~Gender(Player1,MALE)
!HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~You can't feel a true extasy without it inside you.~ GOTO LoveTalk4M
  IF ~!Gender(Player1,MALE)
!HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~You can't feel a true extasy without man's thing inside you.~ GOTO LoveTalk4F


  IF ~!Gender(Player1,MALE)
HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~You can't feel a true extasy without it inside you.~ GOTO LoveTalk4M
  IF ~Gender(Player1,MALE)
HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~You can't feel a true extasy without man's thing inside you.~ GOTO LoveTalk4F


END



IF ~~ LoveTalk4M
  SAY ~And what are your arguments this time, <CHARNAME>?~
  IF ~~ THEN REPLY ~You can't feel a true extasy without a man inside you.~ GOTO LoveTalk4M2
END

IF ~~ LoveTalk4F
  SAY ~And what are your arguments this time, <CHARNAME>?~
  IF ~~ THEN REPLY ~You can't feel a true extasy without a man inside you.~ GOTO LoveTalk4F2
END

IF ~~ LoveTalk4M2
  SAY ~I can always use toys to replace that feeling.~
  IF ~~ THEN REPLY ~You can't just replace blood with wine and a man with wood.~ GOTO LoveTalk4M3
END  

IF ~~ LoveTalk4F2
  SAY ~I can always use toys to replace that feeling.~
  IF ~~ THEN REPLY ~Just believe me, Salia, there is no replace to that sensation.~ GOTO LoveTalk4M3
END  

IF ~~ LoveTalk4M3
  SAY ~Why you at all are conserned about my sexual orientation? Vampires can't become pregnant. There is no need to moral myths and traditions for us.~
  IF ~~ THEN REPLY ~I am not talking about moral, Salia. Vampire's morale allows anything that helps to prolong life. I am talking about real heights of extasy you miss.~ GOTO LoveTalk4M4
  IF ~~ THEN REPLY ~I just want to take you to bed, Salia.~ GOTO LoveTalk4M5
END  

IF ~~ LoveTalk4F3
  SAY ~Why you at all are conserned about my sexual orientation? Vampires can't become pregnant. There is no need to moral myths and traditions for us.~
  IF ~~ THEN REPLY ~I just want you to feel that thing I already experienced.~ GOTO LoveTalk4F5
  IF ~~ THEN REPLY ~Salia, I am just concerned about your attitude for men. If properly trained, men can become really useful and will protect and please you like a sacred urn.~ GOTO LoveTalk4F5
END  


IF ~~ LoveTalk4M4
  SAY ~Hmm. I am not ready yet to believe you, <CHARNAME>. Men always talk about pleasure, but then woman finds herself a sexual slave and maid for them.~
   IF ~~ THEN DO ~~ EXIT
END

IF ~~ LoveTalk4M5
  SAY ~Let's pretend that you really try to change me. It's boring otherwise.~
   IF ~~ THEN DO ~~ EXIT
END



IF ~~ LoveTalk4F4
  SAY ~Hmm. I am not ready yet to believe you, <CHARNAME>. Men always talk about pleasure, but then woman finds herself a sexual slave and maid for them.~
   IF ~~ THEN DO ~~ EXIT
END



IF ~~ LoveTalk4F5
  SAY ~I don't believe you yet, <CHARNAME>. Maybe you just want to break me.~
   IF ~~ THEN DO ~~ EXIT
END



//Love Talk 5




IF ~OR(2)
Global("SaliaRomance","GLOBAL",1)
Global("SaliaRomance","GLOBAL",2)
Global("SaliaRomanceTalk","LOCALS",5)
Global("SaliaRomanceTalkStart","LOCALS",1)~ THEN BEGIN LoveTalk5
SAY ~<CHARNAME>, are you satisfied with beeing a vampire? Or you was made a vampire against your will?~

  IF ~Gender(Player1,MALE)
!HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~Strength, regeneration and immunity to many effects overhelms such minuses as hunger or sensitivity to sun rays.~ GOTO LoveTalk5Freedom
  IF ~!Gender(Player1,MALE)
!HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~Strength, sharpness of feelings and preservation of my body overhelms such minuses as hunger or sensitivity to sun rays.~ GOTO LoveTalk5Freedom

  IF ~!Gender(Player1,MALE)
HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~Strength, regeneration and immunity to many effects overhelms such minuses as hunger or sensitivity to sun rays.~ GOTO LoveTalk5Freedom
  IF ~Gender(Player1,MALE)
HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~Strength, sharpness of feelings and preservation of my body overhelms such minuses as hunger or sensitivity to sun rays.~ GOTO LoveTalk5Freedom



  IF ~~ THEN REPLY ~If I could play back time, I would choose mortality.~ GOTO LoveTalk5Freedom

  
  IF ~~ THEN REPLY ~(Ignore her, you have a lover who will not understand you flirting with another woman)~ GOTO LoveTalk1Lover
  IF ~~ THEN REPLY ~(Ignore her, she was a courtesan and you despise them)~ GOTO LoveTalk1Courtesan
END


IF ~~ LoveTalk5Freedom
  SAY ~As for me, vampirism is a freedom.~
  =
  ~There is said that mortals are a slaves of money.~
  =
  ~To live in society you must constantly buy food, drinks. You must pay a rent for a room.~
  =
  ~You must pay doctors for expensive potions. You must pay to wear a dress, and you must pay to wear fashionable dress.~
  =
  ~To get money you need to work for swines, to sell your body or skills.~
  =
  ~That is a slavery, <CHARNAME>. On the other side, Bodhi gave me a freedom.~
  =
  ~We don't need to buy food. There are no money needed to start a hunt.~
  =
  ~We must not pay a single coin for resting in underground ceilars, crypts or our victims houses.~
  =
  ~We are immortal and don't need a healing or expensive potions.~
  =
  ~Maybe we still need money to buy cosmetics or dress, but we take money from our food.~
  =
  ~We don't need to work, only killing is required from us by superiors.~
  =
  ~Bodhi freed me from humilation and pain, and now I decide whom to live or whom to die, <CHARNAME>.~
  IF ~~ THEN REPLY  ~I absolutely agree with you, Salia.~ GOTO  LoveTalk5AnswerYes
  IF ~~ THEN REPLY ~Don't you miss a breathing with fresh air, sight of sunrises or sundowns? Don't you want to have children?~ GOTO LoveTalk5Answer




END


IF ~~ LoveTalk5Answer
  SAY ~To survive is to leave behind something, that slows you or leads to fail, <CHARNAME>.~
  =
  ~About the children... Mortals make children to continue their bloodlines and to have an inheritor, who will retain family money and property.~
  =
  ~I was a courtesan, what future would that fictional child have? To lurk in junkyard, searching rats to eat, while her mother lays with drunk swines and founds herself in getting Black Lotus?~
  =
  ~If I want to continue my bloodline now, I will find a suited person and make him a vampire.~
  =
  ~I don't have property or money, that I want to leave in family. My family is my coven, all money go to it.~
  =
  ~I am a sister to all our breed. They are my family.~
  IF ~Gender(Player1,MALE)
!HasItemEquipedReal("BELT05",Player1)~ THEN REPLY  ~An interesting view of it, Salia.~ GOTO  LoveTalk5AnswerFinalM
  IF ~!Gender(Player1,MALE)
!HasItemEquipedReal("BELT05",Player1)~ THEN REPLY  ~An interesting view of it, Salia.~ GOTO  LoveTalk5AnswerFinalF

  IF ~!Gender(Player1,MALE)
HasItemEquipedReal("BELT05",Player1)~ THEN REPLY  ~An interesting view of it, Salia.~ GOTO  LoveTalk5AnswerFinalM
  IF ~Gender(Player1,MALE)
HasItemEquipedReal("BELT05",Player1)~ THEN REPLY  ~An interesting view of it, Salia.~ GOTO  LoveTalk5AnswerFinalF


END  
  
 IF ~~ LoveTalk5AnswerYes
  SAY ~To survive is to leave behind something, that slows you or leads to fail.~
  =
  ~Mortals make children to continue their bloodlines and to have an inheritor, who will retain family money and property.~
  =
  ~I was a courtesan, what future would that fictional child have? To lurk in junkyard, searching rats to eat, while her mother lays with drunk swines and founds herself in getting Black Lotus?~
  =
  ~If I want to continue my bloodline now, I will find a suited person and make him a vampire.~
  =
  ~I don't have property or money, that I want to leave in family. My family is my coven, all money go to it.~
  =
  ~I am a sister to all our breed. They are my family.~

  IF ~Gender(Player1,MALE)
!HasItemEquipedReal("BELT05",Player1)~ THEN REPLY  ~I want to be more that a brother to you, Salia.~ GOTO  LoveTalk5AnswerFinalNoM
  IF ~!Gender(Player1,MALE)
!HasItemEquipedReal("BELT05",Player1)~ THEN REPLY  ~I want to be more that a sister to you, Salia.~ GOTO  LoveTalk5AnswerFinalNoF

  IF ~!Gender(Player1,MALE)
HasItemEquipedReal("BELT05",Player1)~ THEN REPLY  ~I want to be more that a brother to you, Salia.~ GOTO  LoveTalk5AnswerFinalNoM
  IF ~Gender(Player1,MALE)
HasItemEquipedReal("BELT05",Player1)~ THEN REPLY  ~I want to be more that a sister to you, Salia.~ GOTO  LoveTalk5AnswerFinalNoF


END

IF ~~ LoveTalk5AnswerFinalNoM
  SAY ~Maybe you are not as terrible, as other men I knew, <CHARNAME>.~  
  =
  ~(She sends you an air kiss)~
 IF ~~ THEN DO ~~ EXIT
END

IF ~~ LoveTalk5AnswerFinalNoF
  SAY ~That's my girl!~
=  
~(She lays hands on your shoulders and kisses you. Not like a sister.)~
 IF ~~ THEN DO ~~ EXIT
END


IF ~~ LoveTalk5AnswerFinalM
  SAY ~When life beats you with a club, and then gives a chance to strike back, even a courtesan will become a  philosopher.~
 IF ~~ THEN DO ~~ EXIT
END

IF ~~ LoveTalk5AnswerFinalF
  SAY ~When life beats you with a club, and then gives a chance to strike back, even a courtesan will become a  philosopher.~
 IF ~~ THEN DO ~~ EXIT
END







//Love Talk 6




IF ~OR(2)
Global("SaliaRomance","GLOBAL",1)
Global("SaliaRomance","GLOBAL",2)
Global("SaliaRomanceTalk","LOCALS",6)
Global("SaliaRomanceTalkStart","LOCALS",1)~ THEN BEGIN LoveTalk6
SAY ~So have any other arguments about my phobia of men?~
  IF ~Gender(Player1,MALE)
!HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~There is only a traditional argument about property comes to mind. We see woman as a beautiful trophy, that we can get by supremacy over other pretendents. You were forced by need to sell yourself. There is no victory in simply buying a sex. We only value things that were earned through competition and fight.~ GOTO LoveTalk6PropsM
  IF ~!Gender(Player1,MALE)
!HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~There is only a traditional argument about property comes to mind. Men see woman as a beautiful trophy, that they can get by supremacy over other pretendents. You were forced by need to sell yourself. There is no victory in simply buying a sex. Men only value things that were earned through competition and fight.~ GOTO LoveTalk6PropsF


  IF ~!Gender(Player1,MALE)
HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~There is only a traditional argument about property comes to mind. We see woman as a beautiful trophy, that we can get by supremacy over other pretendents. You were forced by need to sell yourself. There is no victory in simply buying a sex. We only value things that were earned through competition and fight.~ GOTO LoveTalk6PropsM
  IF ~Gender(Player1,MALE)
HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~There is only a traditional argument about property comes to mind. Men see woman as a beautiful trophy, that they can get by supremacy over other pretendents. You were forced by need to sell yourself. There is no victory in simply buying a sex. Men only value things that were earned through competition and fight.~ GOTO LoveTalk6PropsF


  IF ~~ THEN REPLY ~I just invite you to lay down with me and I will try to be gentle and caring with you. Maybe it will help.~ GOTO LoveTalk6FreedomM
 
  IF ~Gender(Player1,MALE)
!HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~No, Salia, I got no arguments..~ GOTO LoveTalk6FreedomNoM
  IF ~!Gender(Player1,MALE)
!HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~No, Salia, I got no arguments..~ GOTO LoveTalk6FreedomNoF

  IF ~!Gender(Player1,MALE)
HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~No, Salia, I got no arguments..~ GOTO LoveTalk6FreedomNoM
  IF ~Gender(Player1,MALE)
HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~No, Salia, I got no arguments..~ GOTO LoveTalk6FreedomNoF


 
  IF ~~ THEN REPLY ~(Ignore her, you have a lover who will not understand you flirting with another woman)~ GOTO LoveTalk1Lover
  IF ~~ THEN REPLY ~(Ignore her, she was a courtesan and you despise them)~ GOTO LoveTalk1Courtesan

 END

IF ~~ LoveTalk6PropsM
  SAY ~I throught about it. It just proves that your gender is just a bunch of animals, that don't think of women as living persons, you see us only as sex toys.~
  IF ~~ THEN REPLY ~You are not completely right, Salia. Trophy is a thing that put on desk and quickly forgotten. But there are men who worship their women. Your average thing owner doesn't talk with it, at least often, doesn't sacrifice his life for a protection of it.~ GOTO  LoveTalk6PropsM2
END


IF ~~ LoveTalk6PropsM2
   SAY ~Maybe such people exist in the word. But they will not talk or sacrifice themselves for a courtesan. And for a vampire.~
   IF ~~ THEN REPLY ~I am talking to you, Salia.~ GOTO LoveTalk6PropsM3
   IF ~~ THEN REPLY ~Everyone gets its own, Salia.~ GOTO LoveTalk6PropsM4
END  

IF ~~ LoveTalk6PropsF2
   SAY ~Maybe such people exist in the word. But they will not talk or sacrifice themselves for a courtesan. And for a vampire.~
   IF ~~ THEN REPLY ~I am talking to you, Salia.~ GOTO LoveTalk6FreedomNoF
   IF ~~ THEN REPLY ~Everyone gets its own, Salia.~ GOTO LoveTalk6PropsM4
END  

IF ~~ LoveTalk6PropsM3
  SAY ~And I am glad. But I still don't believe you.~
  IF ~~ THEN DO ~~ EXIT
END

IF ~~ LoveTalk6PropsM4
  SAY ~You are a philosopher, after all.~
  IF ~~ THEN DO ~~ EXIT
END

IF ~~ LoveTalk6FreedomM
  SAY ~Keep your hands OFF me!~
  IF ~~ THEN DO ~~ EXIT
END

IF ~~ LoveTalk6PropsF
  SAY ~I throught about it. It just proves that men are animals, that don't think of women as living persons, they see us only as sex toys.~
  IF ~~ THEN GOTO  LoveTalk6PropsF2
END

IF ~~ LoveTalk6FreedomNoM
   SAY ~You know that I am right, <CHARNAME>. So please, keep your hands out of me.~
   IF ~~ THEN DO ~~ EXIT
END

IF ~~ LoveTalk6FreedomNoF
   SAY ~You know that I am right, <CHARNAME>. So please, forget about these swines.~
   =
   ~Come to my embrace, I want to prove that we can live without men.~
   IF ~~ THEN REPLY ~(Kiss Salia)~ GOTO LoveTalk6EndF1
   IF ~~ THEN REPLY ~Not today, Salia.~ GOTO LoveTalk6EndF2
END

IF ~~   LoveTalk6EndF1
   SAY ~Let me detach your bra, <CHARNAME>.~
   =
   ~Only women know what strings to attach to feel it all...~
   IF ~~ THEN DO ~FadeToColor([30.0],0)
  SetGlobal("Player1HadSex","GLOBAL",1)
  SetGlobal("Player1HadSexWithSalia","GLOBAL",1)
  IncrementGlobal("Happiness","LOCALS",240)
  IncrementGlobal("SaliaSex","LOCALS",1)
AdvanceTime(TWO_HOURS)
ChangeStat(Player1,FATIGUE,7,ADD)
ChangeStat(Myself,FATIGUE,6,ADD)
FadeFromColor([30.0],0)~ EXIT
END

IF ~~   LoveTalk6EndF2
   SAY ~As you wish, mistress.~
   IF ~~ THEN DO ~SetGlobal("Happiness","LOCALS",-30)~ EXIT
END

//Love Talk 7

IF ~OR(2)
Global("SaliaRomance","GLOBAL",1)
Global("SaliaRomance","GLOBAL",2)
Global("SaliaRomanceTalk","LOCALS",7)
Global("SaliaRomanceTalkStart","LOCALS",1)~ THEN BEGIN LoveTalk7
SAY ~Why do you smile, <CHARNAME>?~
  IF ~Gender(Player1,MALE)
!HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~Salia, we don't need to argue. Let's just have sex. I'll show you, why men are irreplacible.~ GOTO LoveTalk7SexM
  IF ~!Gender(Player1,MALE)
!HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~Salia, I want you. Join me in my coffin.~ GOTO LoveTalk7PropsLesbianF


  IF ~Gender(Player1,MALE)
HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~I got an idea, how to change your attitude to men, Salia. I have Belt of Gender, which changes a gender of its wearer. I will use it on myself and become a woman. You will learn how to make you happy. That will surely help me to persuade you.~ GOTO LoveTalk7PropsM
  IF ~!Gender(Player1,MALE)
HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~I got an idea, how to change your attitude to men, Salia. I have Belt of Gender, which changes a gender of its wearer. I will use it on myself and become a man. I will learn that way how to make you happy. That will surely help me to persuade you.~ GOTO LoveTalk7PropsF


 
  IF ~~ THEN REPLY ~(Ignore her, you have a lover who will not understand you flirting with another woman)~ GOTO LoveTalk1Lover
  IF ~~ THEN REPLY ~(Ignore her, she was a courtesan and you despise them)~ GOTO LoveTalk1Courtesan
END


IF ~~ LoveTalk7SexM
  SAY ~No, <CHARNAME>.~
  IF ~~ THEN REPLY ~But why, Salia? Don't you want to feel something new?~ GOTO LoveTalk7SexNo1M
  IF ~~ THEN REPLY ~I know how to persuade you. I will give you 1000 gold for a night.~ GOTO LoveTalk7SexNo2M
  IF ~~ THEN REPLY ~As you wish.~ GOTO LoveTalk7SexNo3M
END


IF ~~ LoveTalk7SexNo1M
  SAY ~I said, that I despise and fear men. But you continue to harass me.~
  IF ~~ THEN DO ~~ GOTO LoveTalk2Swine
END



IF ~~ LoveTalk7SexNo2M
  SAY ~You... what?! What you think of me?!~
  IF ~~ THEN DO ~~ GOTO LoveTalk2Swine
END


IF ~~ LoveTalk7SexNo3M
  SAY ~Good boy!~
  IF ~~ THEN DO ~SetGlobal("GirdleResult","LOCALS",4)~ EXIT
END

IF ~~ LoveTalk7PropsLesbianF
  SAY ~(Salia smiles and willingly joins you.)~
  =
  ~(She helps you to undress and starts petting your body sensual parts with professionalism)~
  =
  ~<CHARNAME>, I want to show you some technics...~
  IF ~~ THEN DO ~FadeToColor([30.0],0)
  SetGlobal("Player1HadSex","GLOBAL",1)
  SetGlobal("Player1HadSexWithSalia","GLOBAL",1)
  IncrementGlobal("Happiness","LOCALS",240)
  IncrementGlobal("SaliaSex","LOCALS",1)
  SetGlobal("GirdleResult","LOCALS",3)
AdvanceTime(FOUR_HOURS)
ChangeStat(Player1,FATIGUE,8,ADD)
ChangeStat(Myself,FATIGUE,10,ADD)
FadeFromColor([30.0],0)~ EXIT
END  


IF ~~ LoveTalk7PropsM
  SAY ~You are persistent, <CHARNAME>.~
  =
  ~Okay, I will allow it out of curiosity. Dress your girdle.~
  =
  ~Oh, it doesn't look fitting...~
  =
  ~<CHARNAME>, you really are a woman now...~
  =
  ~Right, listen me well, <CHARNAME>, I will teach you and will not repeat second time...~
  IF ~~ THEN DO ~FadeToColor([30.0],0)
  ActionOverride(Player1,EquipItem("BELT05"))
  SetGlobal("Player1HadSex","GLOBAL",1)
  SetGlobal("Player1HadSexWithSalia","GLOBAL",1)
  IncrementGlobal("Happiness","LOCALS",240)
  IncrementGlobal("SaliaSex","LOCALS",1)
  SetGlobal("GirdleResult","LOCALS",1)
AdvanceTime(SIX_HOURS)
ChangeStat(Player1,FATIGUE,14,ADD)
ChangeStat(Myself,FATIGUE,12,ADD)
FadeFromColor([30.0],0)~ EXIT
END  
  
  
IF ~~ LoveTalk7PropsF
  SAY ~Well, <CHARNAME>, I will allow it out of curiosity. Dress your girdle.~
  =
  ~Oh, it doesn't look fitting...~
  =
  ~<CHARNAME>...~
  =
  ~Be gentle with me... oh, slowly...~
  IF ~~ THEN DO ~FadeToColor([30.0],0)
  ActionOverride(Player1,EquipItem("BELT05"))  
  SetGlobal("Player1HadSex","GLOBAL",1)
  SetGlobal("Player1HadSexWithSalia","GLOBAL",1)
  IncrementGlobal("Happiness","LOCALS",240)
  IncrementGlobal("SaliaSex","LOCALS",1)
SetGlobal("GirdleResult","LOCALS",2)
  AdvanceTime(FOUR_HOURS)
ChangeStat(Player1,FATIGUE,14,ADD)
ChangeStat(Myself,FATIGUE,12,ADD)
FadeFromColor([30.0],0)~ EXIT
END  
  


//Love Talk 8

IF ~OR(2)
Global("SaliaRomance","GLOBAL",1)
Global("SaliaRomance","GLOBAL",2)
Global("SaliaRomanceTalk","LOCALS",8)
Global("SaliaRomanceTalkStart","LOCALS",1)
Global("GirdleResult","LOCALS",1)~ THEN BEGIN LoveTalk8GirdleF
SAY ~<CHARNAME>, last time was superb.~
=
~I hope you didn't loose this gerdle. Can you repeat it?~
  IF ~!PartyHasItem("BELT05")~ THEN REPLY ~Salia, sorry, I really lost it.~ GOTO LoveTalk8LostF
  IF ~PartyHasItem("BELT05")~ THEN REPLY ~Salia, I can repeat it. But the aim was to prove to you that you are loosing much.~ GOTO LoveTalk8HasF
   
  
  
  IF ~~ THEN REPLY ~(Ignore her, you have a lover who will not understand you flirting with another woman)~ GOTO LoveTalk1Lover
  IF ~~ THEN REPLY ~(Ignore her, she was a courtesan and you despise them)~ GOTO LoveTalk1Courtesan
END

IF ~~ LoveTalk8LostF
  SAY ~How can that be? It was cursed girdle, that is impossible to remove. How, <CHARNAME>?~
  IF ~~ THEN REPLY ~Can I ask your forgiviness?~ GOTO LoveTalk8ForgivenessF
  IF ~~ THEN REPLY ~You better try to live without it.~ GOTO LoveTalk8NoForgivenessF 
END

IF ~~ LoveTalk8HasF
  SAY ~<CHARNAME>, you proved to me only that a woman with Girdle of Gender is better, than without.~
  IF ~~ THEN REPLY ~(Do facepalm)~ GOTO LoveTalk8FacepalmF
END


IF ~~ LoveTalk8NoForgivenessF
  SAY ~Are you kidding me on purpose?~
  =
  ~You shown me the most beautiful sensation a vampire can taste, and now you say 'Salia, it's better without it'.~
  =
  ~You said something about prooving my mistake?~
  IF ~~ THEN REPLY ~This is a proof, Salia, that you tried it once and now demand it again. Without a girdle you must search a man and try it with him.~ GOTO LoveTalk8NoForgiveness2F
END

IF ~~ LoveTalk8NoForgiveness2F
  SAY ~I... didn't think about it.~
  =
  ~But still I am angered. <CHARNAME>, allright, I will give men a try.~
  =
  ~But I don't want see you again no more.~
  =
  ~You are swine. Don't touch me ever again, <CHARNAME>.~
  IF ~~ THEN DO ~SetGlobal("SaliaRomance","GLOBAL",3)~ EXIT
END

IF ~~ LoveTalk8Forgiveness2F
  SAY ~I... didn't think about it.~
  =
  ~Maybe you are right, I will give men a try, <CHARNAME>.~
  IF ~~ THEN DO ~SetGlobal("SaliaRomance","GLOBAL",2)
  SetGlobal("SaliaBisexual","GLOBAL",1)~ EXIT
END

IF ~~ LoveTalk8FacepalmF
  SAY ~Why are you facepalming?~
  IF ~~ THEN REPLY ~You win, Salia. It's my downfall, I couldn't convince you. Stay lesbian.~ GOTO LoveTalk8Facepalm2F
  IF ~~ THEN REPLY ~You don't see an obvious thing. You tried man's thing with me once, and now you agressively demand 'more'. This is the way how it works with women.~ GOTO LoveTalk8Forgiveness2F
END

IF ~~ LoveTalk8Facepalm2F
  SAY ~Thank you for your indulgance, mistress!~
  =
  ~(Salia makes grotesque curtsey.)~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ LoveTalk8ForgivenessF
  SAY ~Do not think that you will get off lightly. You'll have to work hard...~
  IF ~~ THEN DO ~FadeToColor([30.0],0)
  SetGlobal("Player1HadSex","GLOBAL",1)
  SetGlobal("Player1HadSexWithSalia","GLOBAL",1)
  IncrementGlobal("Happiness","LOCALS",240)
  IncrementGlobal("SaliaSex","LOCALS",1)
  
AdvanceTime(FOUR_HOURS)
ChangeStat(Player1,FATIGUE,7,ADD)
ChangeStat(Myself,FATIGUE,6,ADD)
FadeFromColor([30.0],0)~ EXIT
END





IF ~OR(2)
Global("SaliaRomance","GLOBAL",1)
Global("SaliaRomance","GLOBAL",2)
Global("SaliaRomanceTalk","LOCALS",8)
Global("SaliaRomanceTalkStart","LOCALS",1)
Global("GirdleResult","LOCALS",2)~ THEN BEGIN LoveTalk8GirdleM
SAY ~<CHARNAME>, were our lessons succesful? I am waiting for you to show what I miss, master.~
IF ~~ THEN REPLY ~I am ready, Salia. I'll be gentle. And remember? I am a vampire and can do this for hours.~ GOTO LoveTalk8SexM 
IF ~~ THEN REPLY ~I don't want to do it, Salia. Maybe next time?~ GOTO LoveTalk8NoSexM
  
  
  IF ~~ THEN REPLY ~(Ignore her, you have a lover who will not understand you flirting with another woman)~ GOTO LoveTalk1Lover
  IF ~~ THEN REPLY ~(Ignore her, she was a courtesan and you despise them)~ GOTO LoveTalk1Courtesan
END

IF ~~ LoveTalk8NoSexM
  SAY ~What?!~
  =
  ~Ah, I see now. All your talks were to have sex with me and then throw away.~
  =
  ~I didn't give you what you wanted, and you decided to use my orientation and have sex with me as woman.~
  =
  ~You are disgraceful low-life swine, <CHARNAME>.~ 
  IF ~~ THEN DO ~~ GOTO LoveTalk2Swine
END

IF ~~ LoveTalk8SexM
  SAY ~Do not fail me, <CHARNAME>. I am making sex with man after a long time. Don't you dare to be like those dirty swines that bought me...~
   IF ~~ THEN DO ~FadeToColor([30.0],0)
  SetGlobal("Player1HadSex","GLOBAL",1)
  SetGlobal("Player1HadSexWithSalia","GLOBAL",1)
  IncrementGlobal("Happiness","LOCALS",240)
  IncrementGlobal("SaliaSex","LOCALS",1)
  SetGlobal("SaliaRomance","GLOBAL",2)
  SetGlobal("SaliaBisexual","GLOBAL",1)
  
AdvanceTime(TWELVE_HOURS)
ChangeStat(Player1,FATIGUE,18,ADD)
ChangeStat(Myself,FATIGUE,12,ADD)
FadeFromColor([30.0],0)~ EXIT
END 
  
  
  


IF ~OR(2)
Global("SaliaRomance","GLOBAL",1)
Global("SaliaRomance","GLOBAL",2)
Global("SaliaRomanceTalk","LOCALS",8)
Global("SaliaRomanceTalkStart","LOCALS",1)
Global("GirdleResult","LOCALS",3)~ THEN BEGIN LoveTalk8GirdleLesbianF
SAY ~<CHARNAME>, I thank you that you stopped these kidly attempts to change me.~
=
~I am feeling alonely, can we retire and go about our favorite business tonight?~
IF ~~ THEN REPLY ~(Embrace and kiss her)~ GOTO LoveTalk8LesbianSexF 
IF ~~ THEN REPLY ~I don't want to do it today, Salia.~ GOTO LoveTalk8NoLesbianSexF
  
  
  IF ~~ THEN REPLY ~(Ignore her, you have a lover who will not understand you flirting with another woman)~ GOTO LoveTalk1Lover
  IF ~~ THEN REPLY ~(Ignore her, she was a courtesan and you despise them)~ GOTO LoveTalk1Courtesan
END

IF ~~ LoveTalk8LesbianSexF
  SAY ~I almost feel it with be marvelous this time...~ 
   IF ~~ THEN DO ~FadeToColor([30.0],0)
  SetGlobal("Player1HadSex","GLOBAL",1)
  SetGlobal("Player1HadSexWithSalia","GLOBAL",1)
  IncrementGlobal("Happiness","LOCALS",240)
  IncrementGlobal("SaliaSex","LOCALS",1)
AdvanceTime(TWELVE_HOURS)
ChangeStat(Player1,FATIGUE,18,ADD)
ChangeStat(Myself,FATIGUE,12,ADD)
FadeFromColor([30.0],0)~ EXIT
END 

IF ~~ LoveTalk8NoLesbianSexF
  SAY ~As you wish, <CHARNAME>.~
  IF ~~ THEN DO ~~ EXIT
END


//Love Talk 9
  
  IF ~OR(2)
Global("SaliaRomance","GLOBAL",1)
Global("SaliaRomance","GLOBAL",2)
Global("SaliaRomanceTalk","LOCALS",9)
Global("SaliaRomanceTalkStart","LOCALS",1)
Global("GirdleResult","LOCALS",3)~ THEN BEGIN LoveTalk9GirdleLesbianF
SAY ~<CHARNAME>, while we stopped to rest.~
=
~Can we get alone again?~
IF ~~ THEN REPLY ~Salia, I think it's time to discuss our relations.~ GOTO LoveTalk9Relations1F 

IF ~~ THEN REPLY ~Yes, of cause.~ GOTO LoveTalk9LesbianSexYesF
  
  
  IF ~~ THEN REPLY ~(Ignore her, you have a lover who will not understand you flirting with another woman)~ GOTO LoveTalk1Lover
  IF ~~ THEN REPLY ~(Ignore her, she was a courtesan and you despise them)~ GOTO LoveTalk1Courtesan
END

IF ~~ LoveTalk9LesbianSexYesF
  SAY ~Tonight you can bite me in process, <CHARNAME>...~ 
   IF ~~ THEN DO ~FadeToColor([30.0],0)
  SetGlobal("Player1HadSex","GLOBAL",1)
  SetGlobal("Player1HadSexWithSalia","GLOBAL",1)
  IncrementGlobal("Happiness","LOCALS",240)
  IncrementGlobal("SaliaSex","LOCALS",1)
AdvanceTime(TWELVE_HOURS)
ChangeStat(Player1,FATIGUE,18,ADD)
ChangeStat(Myself,FATIGUE,12,ADD)
FadeFromColor([30.0],0)~ EXIT
END 

IF ~~ LoveTalk9Relations1F
  SAY ~Relations? What relations?~
  =
  ~We are having free love, without obligations. That is the freedom, <CHARNAME>.~
  =
  ~Are you want me to become your property? Did men bite you and you became one of them?~
  IF ~~ THEN REPLY ~You've said exactly what I wanted to hear about our relations, Salia.~ GOTO LoveTalk9Relations2F
  IF ~~ THEN REPLY ~I don't want to share you with others, Salia. I love you.~ GOTO LoveTalk9Relations3F
END

IF ~~ LoveTalk9Relations2F
SAY ~See, there is nothing needed to be changed. If you want sex, come any time, mistress.~
  IF ~~ THEN DO ~SetGlobal("SaliaRomance","GLOBAL",2)~ EXIT
END



IF ~~ LoveTalk9Relations3F
SAY ~My customers often told me about 'love', sweeting on me.~
=
~But your 'love' is different, I feel, <CHARNAME>.~
=
~I am not ready to say 'yes' or 'no'. When I was a mortal I often imagined time when I would live with someone.~
=
~But we are immortals, our moral is differs from mortal moral.~
=
~Give me time, <CHARNAME>.~
  IF ~~ THEN DO ~SetGlobal("SaliaRomance","GLOBAL",2)
  SetGlobal("SaliaOffer","LOCALS",1)~ EXIT
END



  IF ~OR(2)
Global("SaliaRomance","GLOBAL",1)
Global("SaliaRomance","GLOBAL",2)
Global("SaliaRomanceTalk","LOCALS",9)
Global("SaliaRomanceTalkStart","LOCALS",1)
Global("GirdleResult","LOCALS",1)~ THEN BEGIN LoveTalk9GirdleLesbianF
SAY ~<CHARNAME>, while we stopped to rest.~
=
~Can you repeat Girdle of Gender magic again? At least briefly?~
IF ~~ THEN REPLY ~Salia, I think it's time to discuss our relations.~ GOTO LoveTalk9RelationsGirdle1F 

IF ~~ THEN REPLY ~Yes, of cause.~ GOTO LoveTalk9LesbianSexGirdleF
  
  
  IF ~~ THEN REPLY ~(Ignore her, you have a lover who will not understand you flirting with another woman)~ GOTO LoveTalk1Lover
  IF ~~ THEN REPLY ~(Ignore her, she was a courtesan and you despise them)~ GOTO LoveTalk1Courtesan
END



IF ~~ LoveTalk9LesbianSexGirdleF
  SAY ~I am trembling in anticipation...~
  =
  ~Be gentle with me... oh, slowly...~
  IF ~~ THEN DO ~FadeToColor([30.0],0)
  ActionOverride(Player1,EquipItem("BELT05"))  
  SetGlobal("Player1HadSex","GLOBAL",1)
  SetGlobal("Player1HadSexWithSalia","GLOBAL",1)
  IncrementGlobal("Happiness","LOCALS",140)
  IncrementGlobal("SaliaSex","LOCALS",1)
  AdvanceTime(ONE_HOUR)
ChangeStat(Player1,FATIGUE,14,ADD)
ChangeStat(Myself,FATIGUE,12,ADD)
FadeFromColor([30.0],0)~ EXIT
END 


IF ~~ LoveTalk9RelationsGirdle1F
SAY ~My customers often told me about 'love', sweeting on me.~
=
~But your 'love' is different, I feel it, <CHARNAME>.~
=
~You are even ready to change into a man for me.~
=
~I am not ready to say 'yes' or 'no'. When I was a mortal I often imagined time when I would live with someone.~
=
~But we are immortals, our moral is differs from mortal moral.~
=
~Give me time, <CHARNAME>.~
  IF ~~ THEN DO ~SetGlobal("SaliaRomance","GLOBAL",2)
  SetGlobal("SaliaOffer","LOCALS",1)~ EXIT
END




  IF ~OR(2)
Global("SaliaRomance","GLOBAL",1)
Global("SaliaRomance","GLOBAL",2)
Global("SaliaRomanceTalk","LOCALS",9)
Global("SaliaRomanceTalkStart","LOCALS",1)
Global("GirdleResult","LOCALS",2)~ THEN BEGIN LoveTalk9GirdleM
SAY ~<CHARNAME>, while we stopped to rest.~
=
~Can you give me that again? At least briefly?~
IF ~~ THEN REPLY ~Salia, I think it's time to discuss our relations.~ GOTO LoveTalk9RelationsGirdle1M

IF ~~ THEN REPLY ~Yes, of cause.~ GOTO LoveTalk9SexM
  
  
  IF ~~ THEN REPLY ~(Ignore her, you have a lover who will not understand you flirting with another woman)~ GOTO LoveTalk1Lover
  IF ~~ THEN REPLY ~(Ignore her, she was a courtesan and you despise them)~ GOTO LoveTalk1Courtesan
END



IF ~~ LoveTalk9SexM
  SAY ~I am trembling in anticipation...~
  =
  ~Be gentle with me... oh, slowly...~
  IF ~~ THEN DO ~FadeToColor([30.0],0)

  SetGlobal("Player1HadSex","GLOBAL",1)
  SetGlobal("Player1HadSexWithSalia","GLOBAL",1)
  IncrementGlobal("Happiness","LOCALS",190)
  IncrementGlobal("SaliaSex","LOCALS",1)

  AdvanceTime(ONE_HOUR)
ChangeStat(Player1,FATIGUE,14,ADD)
ChangeStat(Myself,FATIGUE,12,ADD)
FadeFromColor([30.0],0)~ EXIT
END 


IF ~~ LoveTalk9RelationsGirdle1M
SAY ~My customers often told me about 'love', sweeting on me.~
=
~But your 'love' is different, I feel it, <CHARNAME>.~
=
~You are even ready to change into a woman for me.~
=
~I am not ready to say 'yes' or 'no'. When I was a mortal I often imagined time when I would live with someone.~
=
~But we are immortals, our moral is differs from mortal moral.~
=
~Give me time, <CHARNAME>.~
  IF ~~ THEN DO ~SetGlobal("SaliaRomance","GLOBAL",2)
 SetGlobal("SaliaOffer","LOCALS",1) ~ EXIT
END

  IF ~OR(2)
Global("SaliaRomance","GLOBAL",1)
Global("SaliaRomance","GLOBAL",2)
Global("SaliaRomanceTalk","LOCALS",9)
Global("SaliaRomanceTalkStart","LOCALS",1)
Global("GirdleResult","LOCALS",4)~ THEN BEGIN LoveTalk9GirdleFailM
SAY ~<CHARNAME>, keep a distance to me.~
=
~What do you want?~
IF ~~ THEN REPLY ~Salia, I think it's time to discuss our relations.~ GOTO LoveTalk9RelationsBreakM

IF ~~ THEN REPLY ~No, nothing.~ GOTO LoveTalk9NothingM
  
  
  IF ~~ THEN REPLY ~(Ignore her, you have a lover who will not understand you flirting with another woman)~ GOTO LoveTalk1Lover
  IF ~~ THEN REPLY ~(Ignore her, she was a courtesan and you despise them)~ GOTO LoveTalk1Courtesan
END

IF ~~ LoveTalk9NothingM
  SAY ~You are strange.~
  IF ~~ THEN DO ~~ EXIT
END

IF ~~ LoveTalk9RelationsBreakM
  SAY ~Of what relations do you speak, <CHARNAME>?~
   IF ~~ THEN REPLY ~I love you Salia. I always want ot be with you. And I want to make you mine.~ GOTO LoveTalk9RelationsBreak2M
  IF ~~ THEN REPLY ~Forget it, Salia.~ GOTO LoveTalk9NothingM 
END

IF ~~ LoveTalk9RelationsBreak2M
  SAY ~Ha-ha. On what are you counting on, <CHARNAME>?~
  =
  ~You are an excuse of a man.~
  IF ~~ THEN REPLY ~But don't you have any feelings for me deep down in your black heart?~ GOTO LoveTalk9RelationsBreak3M
  IF ~~ THEN REPLY ~Do you want to continue beeing alone, with nobody caring about you personally?~ GOTO LoveTalk9RelationsBreak4M
  IF ~~ THEN REPLY ~Go to Hell, Salia!~ GOTO LoveTalk9RelationsBreakTrueM
END

IF ~~ LoveTalk9RelationsBreak3M
  SAY ~I don't hate you, <CHARNAME>, but I am not ready to feel something for you.~
  =
  ~Let's talk about relations later, I must think about it.~
  IF ~~ THEN DO ~~ EXIT
END

IF ~~ LoveTalk9RelationsBreak4M
  SAY ~<CHARNAME>, it's a dirty trick!~
  IF ~~ THEN DO ~~ EXIT
END




IF ~~ LoveTalk9RelationsBreakTrueM
  SAY ~I was there before.~
  IF ~~ THEN DO ~SetGlobal("SaliaRomance","GLOBAL",3)~ EXIT
END

//Love Talk 10

  IF ~OR(2)
Global("SaliaRomance","GLOBAL",1)
Global("SaliaRomance","GLOBAL",2)
Global("SaliaRomanceTalk","LOCALS",10)
Global("SaliaRomanceTalkStart","LOCALS",1)
Global("SaliaOffer","LOCALS",0)~ THEN BEGIN LoveTalk10
SAY ~<CHARNAME>, I decided to change something in my life.~
=
~I met someone, who offers me to live with him.~
=
~Of cause, I will continue to serve you and travel to, when you call me.~
=
~But our relations must end. Or I will loose him.~
IF ~~ THEN REPLY ~Salia, it 'him'? Seems like my efforts were not in vein. I wish you luck, Salia.~ GOTO LoveTalk10Luck

IF ~~ THEN REPLY ~But why, Salia? I throught we were happy together. We are vampires, we don't need men to continue bloodline!~ GOTO LoveTalk10No1M

IF ~~ THEN REPLY ~Doesn't he know that you was a courtesan?~ DO ~IncrementGlobal("HAPPINESS","LOCALS",500)~ GOTO LoveTalk10Courtesan
  
  
  IF ~~ THEN REPLY ~(Ignore her, you have a lover who will not understand you flirting with another woman)~ GOTO LoveTalk1Lover
  IF ~~ THEN REPLY ~(Ignore her, she was a courtesan and you despise them)~ GOTO LoveTalk1Courtesan
END


  IF ~OR(2)
Global("SaliaRomance","GLOBAL",1)
Global("SaliaRomance","GLOBAL",2)
Global("SaliaRomanceTalk","LOCALS",10)
Global("SaliaRomanceTalkStart","LOCALS",1)
Global("SaliaOffer","LOCALS",1)~ THEN BEGIN LoveTalk10Offer
SAY ~<CHARNAME>, do you still insist to have relations with me?~

IF ~Gender(Player1,MALE)
!HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~Salia, I love you and of cause I want to have relations with you.~ GOTO LoveTalk10No1M

IF ~!Gender(Player1,MALE)
HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~Salia, I love you and of cause I want to have relations with you.~ GOTO LoveTalk10No1M

IF ~!Gender(Player1,MALE)
!HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~Salia, I love you and of cause I want to have relations with you.~ GOTO LoveTalk10No1F

IF ~Gender(Player1,MALE)
HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~Salia, I love you and of cause I want to have relations with you.~ GOTO LoveTalk10No1F


IF ~~ THEN REPLY ~No, I'll pass on them.~ DO ~IncrementGlobal("HAPPINESS","LOCALS",500)~ GOTO LoveTalk10Pass
  
  
  IF ~~ THEN REPLY ~(Ignore her, you have a lover who will not understand you flirting with another woman)~ GOTO LoveTalk1Lover
  IF ~~ THEN REPLY ~(Ignore her, she was a courtesan and you despise them)~ GOTO LoveTalk1Courtesan
END

IF ~~ LoveTalk10Courtesan
  SAY ~If you will say a word to him, I swear...~
  =
  ~Sorry, I didn't mean to menace you.~
  =
  ~I wanted to say than there our relashions will be cancelled.~
IF ~~ THEN REPLY ~I wish you luck with him, Salia.~ GOTO LoveTalk10Luck
IF ~~ THEN REPLY ~But why, Salia? I throught we were happy together. We are vampires, we don't need men to continue bloodline!~ GOTO LoveTalk10No1  
END


IF ~~ LoveTalk10Luck
  SAY ~You understood me, <CHARNAME>. You are a wonderful. Let me kiss you as goodbye.~
  IF ~~ THEN DO ~SetGlobal("SaliaRomance","GLOBAL",3)~ EXIT
END

IF ~~ LoveTalk10No1
  SAY ~It was just sex and gender talks, <CHARNAME>. With him I sence there is more, that a sex.~
IF ~~ THEN REPLY ~Then I wish you luck, Salia.~ GOTO LoveTalk10Luck
IF ~Gender(Player1,MALE)
!HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~But I love you, Salia. I really want you to be with me.~ GOTO LoveTalk10No1M

IF ~!Gender(Player1,MALE)
HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~But I love you, Salia. I really want you to be with me.~ GOTO LoveTalk10No1M


IF ~Gender(Player1,MALE)
HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~But I love you, Salia. I really want you to be with me.~ GOTO LoveTalk10No1F

IF ~!Gender(Player1,MALE)
!HasItemEquipedReal("BELT05",Player1)~ THEN REPLY ~But I love you, Salia. I really want you to be with me.~ GOTO LoveTalk10No1F



END


IF ~~ LoveTalk10No1M
  SAY ~You want to say, that I am not only your sex toy?~
  =
  ~<CHARNAME>, you are my master. But my heart cannot be commanded.~
  =
  ~Convince me, that I must choose you.~
  =
  ~It's always a hard choice to loose existing freedom in exchange of promises.~
  IF ~~ THEN GOTO LoveTalk10Proves
END


IF ~~ LoveTalk10No1F
  SAY ~We really had good time together. I throught about it.~
  =
  ~<CHARNAME>, you are my mistress. But my heart cannot be commanded.~
  =
  ~Convince me, that I must choose you.~
  =
  ~It's always a hard choice to loose existing freedom in exchange of promises.~
  IF ~~ THEN GOTO LoveTalk10Proves
END


IF ~~ LoveTalk10Proves
 SAY ~What will you say in your defence, <CHARNAME>?~
 IF ~Global("TalkAboutGirdleResult","LOCALS",0)
 PartyHasItem("BELT05")
 Global("GirdleResult","LOCALS",2)~ THEN REPLY ~I have learned about your body and I want to continue giving you pleasures you can't have with other men.~ DO ~IncrementGlobal("PlusesOfPlayer","LOCALS",2)
 SetGlobal("TalkAboutGirdleResult","LOCALS",1)~ GOTO LoveTalk10Item1
 
 IF ~Global("TalkAboutGirdleResult","LOCALS",0)
 PartyHasItem("BELT05")
 Global("GirdleResult","LOCALS",1)~ THEN REPLY ~Only a woman fully knows what buttons to press for woman. With Girdle of Gender I will help you forget men.~ DO ~IncrementGlobal("PlusesOfPlayer","LOCALS",2)
 SetGlobal("TalkAboutGirdleResult","LOCALS",1)~ GOTO LoveTalk10Item2
 
 IF ~Global("SaliaOffer","LOCALS",1)
 Global("TalkAboutOffer","LOCALS",0)~ THEN REPLY ~I offered you, Salia. I love you and I want to make you mine.~  DO ~IncrementGlobal("PlusesOfPlayer","LOCALS",1)
 SetGlobal("TalkAboutOffer","LOCALS",1)~ GOTO LoveTalk10Item3
 
 IF ~Global("TalkAboutProstitution","LOCALS",0)~ THEN REPLY ~You are an ex-courtesan. Nobody will want to have you except me.~ DO ~IncrementGlobal("PlusesOfPlayer","LOCALS",-2)
 SetGlobal("TalkAboutProstitution","LOCALS",1)~ GOTO LoveTalk10Item4
 
 IF ~Global("TalkAboutEncouters","LOCALS",0)~ THEN REPLY ~If you promise me to be my woman, I will allow you to have sex encouters at side.~ DO ~IncrementGlobal("PlusesOfPlayer","LOCALS",1)
 SetGlobal("TalkAboutEncouters","LOCALS",1)~ GOTO LoveTalk10Item5
 
  
 IF ~Global("TalkAboutNoGirdle","LOCALS",0)
 Global("GirdleResult","LOCALS",3)~ THEN REPLY ~I had beautiful sex with you and dedicated my body to you, Salia.~ DO ~IncrementGlobal("PlusesOfPlayer","LOCALS",1)
 SetGlobal("TalkAboutNoGirdle","LOCALS",1)~ GOTO LoveTalk10Item6
 
  
  
 IF ~Global("TalkAboutNoGirdle","LOCALS",0)
 Global("GirdleResult","LOCALS",3)~ THEN REPLY ~I had beautiful sex with you and dedicated my body to you, Salia.~ DO ~IncrementGlobal("PlusesOfPlayer","LOCALS",1)
 SetGlobal("TalkAboutNoGirdle","LOCALS",1)~ GOTO LoveTalk10Item6
 
  IF ~Global("TalkAboutBlood","LOCALS",0)~ THEN REPLY ~You always are allowed to drink my godly blood. It makes you stronger and more vital.~ DO ~IncrementGlobal("PlusesOfPlayer","LOCALS",1)
 SetGlobal("TalkAboutBlood","LOCALS",2)~ GOTO LoveTalk10Item7
 
 
 IF ~~ THEN REPLY ~I don't have anything more to say, Salia.~ GOTO LoveTalk10Conclusion
 

 
 END

IF ~~ LoveTalk10Item1
  SAY ~I agree, that I never experienced such pleasure with other men. But there is always a better one in this world.~
  IF ~~ THEN GOTO LoveTalk10Proves
END
 
 IF ~~ LoveTalk10Item2
  SAY ~I agree, that I never experienced such pleasure with men. But you are not an only woman in the world, and I think that there more than one Girdle of Gender.~
  IF ~~ THEN GOTO LoveTalk10Proves
END

IF ~~ LoveTalk10Item3
  SAY ~I see this. You want to prove it, yes.~
  IF ~~ THEN GOTO LoveTalk10Proves
END

IF ~~ LoveTalk10Item4
  SAY ~You will always remind me of this?!~
  IF ~~ THEN GOTO LoveTalk10Proves
END
 
 
IF ~~ LoveTalk10Item5
  SAY ~I am not that kind of woman, but thanks for your liberal views.~
  IF ~~ THEN GOTO LoveTalk10Proves
END
 
 IF ~~ LoveTalk10Item6
  SAY ~You are lustful one, that's right. And I felt good with you.~
  IF ~~ THEN GOTO LoveTalk10Proves
END
 
 IF ~~ LoveTalk10Item7
  SAY ~No vampire can resist your blood, even I.~
  IF ~~ THEN GOTO LoveTalk10Proves
END 
 
   
IF ~~ LoveTalk10Conclusion
  SAY ~Not much. I... will have to say that...~
  IF ~GlobalGT("Happiness","LOCALS",1000)
GlobalGT("PlusesOfPlayer","LOCALS",3)~ THEN GOTO LoveTalk10ConclusionYes 
  IF ~GlobalGT("PlusesOfPlayer","LOCALS",4)~ THEN GOTO LoveTalk10ConclusionYes 
  IF ~GlobalLT("PlusesOfPlayer","LOCALS",3)~ THEN GOTO LoveTalk10ConclusionNo
END

IF ~~ LoveTalk10ConclusionYes
  SAY ~I am choosing you, my <CHARNAME>.~
  =
  ~Love is a hard work each day. Prove it everyday, and I will prove it back to you.~
  =
  ~Someone have choosen me knowing my story. You must be a pervert... or a very good person, at least for vampires.~
  =
  ~Don't betray me, and I always be by your side.~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ LoveTalk10ConclusionNo
  SAY ~I will not choose you, my <CHARNAME>.~
  =
  ~You are not meant for me. I don't want to talk with you futher.~
  =
  ~It will be only business, that's all.~
  IF ~~ THEN DO ~SetGlobal("SaliaRomance","GLOBAL",3)~ EXIT
END



IF ~~ LoveTalk10Pass
  SAY ~It was a play only for you then, if you have stopped insisting.~
  =
  ~Maybe it's better to stop our relations, if you want.~
  =
   ~I don't want to talk with you futher.~
  =
  ~It will be only business, that's all.~ 
  IF ~~ THEN DO ~SetGlobal("SaliaRomance","GLOBAL",3)~ EXIT
END

   

   
   




IF ~See(Player1)
Gender(Player1,FEMALE)
Global("BodhiStrongholdPledged","LOCALS",0)
Global("BodhiStronghold","GLOBAL",2)~ THEN BEGIN pledgeMaster1F
   SAY ~I will serve you, my mistress!~
IF ~~ THEN DO ~SetGlobal("BodhiStrongholdPledged","LOCALS",1)~ EXIT
END

IF ~See(Player1)
!Gender(Player1,FEMALE)
Global("BodhiStrongholdPledged","LOCALS",0)
Global("BodhiStronghold","GLOBAL",2)~ THEN BEGIN pledgeMaster1M
   SAY ~I will serve you, my master!~
IF ~~ THEN DO ~SetGlobal("BodhiStrongholdPledged","LOCALS",1)~ EXIT
END


IF ~See(Player1)
  Gender(Player1,FEMALE)
  Global("SaliaResurrected","GLOBAL",1)~
THEN BEGIN greetingStartF
   SAY ~Ah, it is you, honey. Why did you resurrect me?~
   ++ ~I almost fall in love when I saw you.~ + briefingNV1
   ++ ~I have a weakness for women.~ + briefingNV1   
   ++ ~I wanted to kill you, whore!~ + briefing3f
END


IF ~See(Player1)
!Gender(Player1,FEMALE)
  Global("SaliaResurrected","GLOBAL",1)~
THEN BEGIN greetingStart
   SAY ~Ah, it is you, boy. Why did you resurrect me?~
   ++ ~I almost fall in love when I saw you.~ + briefingNV1
   ++ ~I have a weakness for women~ + briefingNV1  
   ++ ~I wanted to kill you, whore!~ + briefing3f
END


IF ~~ briefingNV1
  SAY ~Be alerted, that I was a courtesan until Bodhi saved me.~
  ++ ~We all have skeletons in the closet. Join me.~ + briefing2
  ++ ~For me your past don't matter. Join me.~ + briefing2  
  ++ ~You are free. I release you.~ + briefing3
  ++ ~Die, whore!~ + briefing3f
END



IF ~~ briefing2
  SAY ~You are a nice person.~
  IF ~~ THEN DO ~
  MakeGlobal()
  SetGlobal("SaliaResurrected","GLOBAL",2)
  DestroyItem("VVHSALIA")
  GiveItemCreate("VVCASKET",Myself,1,1,0) // Empty Casket		
  JoinParty()
  ~ EXIT
END

IF ~~ briefing3f
  SAY ~No, no!~
  IF ~~ THEN DO ~SetGlobal("SaliaResurrected","GLOBAL",2)
  SetGlobal("SaliaLeft","GLOBAL",1)
Enemy()
~ EXIT
END

IF ~~ briefing3
  SAY ~Goodbye, <CHARNAME>. I will find some lovely crypt away from this as far as possible.~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,50)
  SetGlobal("SaliaResurrected","GLOBAL",2)
DestroySelf()
~ EXIT
END

//when thrown out
IF ~Gender(Player1,MALE)
!Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVManB1
SAY ~Do you need me, my master?~ 
 ++ ~Come with me, Salia, I need your skills.~ + notparty1
 ++ ~Stay here, Salia, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3 
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ notparty2
SAY ~Okay, master!~
IF ~~ THEN DO ~~ EXIT
END

IF ~Gender(Player1,FEMALE)
!Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVFemB1
SAY ~Do you need me, my mistress?~ 
 ++ ~Come with me, Salia, I need your skills.~ + notparty1
 ++ ~Stay here, Salia, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3  
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVFemB1
SAY ~Do you need me, my mistress?~ 
 ++ ~Come with me, Salia, I need your skills.~ + notparty1
 ++ ~Go to our Stronghold in Grave Yard District. I will find you there, if it will be needed.~ + notpartGoST
 ++ ~Stay here, Salia, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3  
 ++ ~I decided to end your life.~ + briefing3f
END


IF ~Gender(Player1,MALE)
Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVMAleB1
SAY ~Do you need me, my master?~ 
 ++ ~Come with me, Salia, I need your skills.~ + notparty1
 ++ ~Go to our Stronghold in Grave Yard District. I will find you there, if it will be needed.~ + notpartGoST
 ++ ~Stay here, Salia, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3  
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ notparty1m
  SAY ~Which one of them?~
  IF ~~ THEN DO ~
	//	DestroyItem("VVSalia")
	//	DestroyItem("MONHP1")
		JoinParty()~ EXIT
END

IF ~~ notparty1
  SAY ~Which one of them?~
  IF ~~ THEN DO ~
		JoinParty()~ EXIT
END

IF ~~ notpartGoST
   SAY ~Will see here. If you don't get killed.~
   IF ~~ THEN DO ~LeaveParty()
   RunAwayFromNoInterrupt(Player1,40)
   MoveBetweenAreas("AR0808",[536.788],S)~ EXIT
 END  

// talk in party

IF ~Gender(Player1,MALE)
InParty(Myself)
Race(Player1,VAMPIRE)~ THEN BEGIN GreetingManV1
SAY ~My master, do you need something from me?~ 
 ++ ~Are you hungry? You can suck my blood, Salia.~ + suckblood
 ++ ~Tell me your story, Salia.~ + talkSaliaM
 ++ ~No, nothing right now, Salia.~ + byesilent
  ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
InParty(Myself)
Race(Player1,VAMPIRE)~ THEN BEGIN GreetingFemV1
SAY ~My mistress, do you need something from me?~ 
 ++ ~Are you hungry? You can suck my blood, Salia.~ + suckblood
 ++ ~Tell me your story, Salia.~ + talkSaliaF
 ++ ~No, nothing right now, Salia.~ + byesilent
  ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,MALE)
InParty(Myself)
!Race(Player1,VAMPIRE)~ THEN BEGIN GreetingMan1
SAY ~<CHARNAME>, do you need something from me?~ 
 ++ ~Are you hungry? You can suck my blood, Salia.~ + suckblood
 ++ ~Make me a vampire, Salia.~ + vampconvm
 ++ ~Tell me your story, Salia.~ + talkSaliaM
 ++ ~No, nothing right now, Salia. Sorry.~ + byesilent
   ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
InParty(Myself)
!Race(Player1,VAMPIRE)~ THEN BEGIN GreetingFem1
SAY ~<CHARNAME>, do you need something from me?~ 
 ++ ~Are you hungry? You can suck my blood, Salia.~ + suckblood
 ++ ~Make me a vampire, Salia.~ + vampconvf 
 ++ ~Tell me your story, Salia.~ +   talkSaliaM
 ++ ~No, nothing right now, Salia. Sorry for disturbance.~ + byesilent
   ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ byesilent
SAY ~Let me stay to my throughs.~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ talkSaliaM
  SAY ~I left home at fourteen and went to Ahkatla. There I realised that I have only one thing, that will help me to not die from hunger. I sold myself to men and women.~
  IF ~~ THEN GOTO talkSaliaM2
END

IF ~~ talkSaliaM2
  SAY ~Than one day I saw Bodhi feeding on some rich bastard. I asked her for deliverance, and she made me her minion. Now I don't have sex with the ones I don't like and I don't need money anymore to continue living.~
  IF ~~ THEN GOTO talkSaliaM3
END

IF ~~ talkSaliaM3
  SAY ~Bodhi saved me from my low life and I love her.~
  IF ~~ THEN EXIT
END


IF ~~ talkSaliaF
   SAY ~I left home at fourteen and went to Ahkatla. There I realised that I have only one thing, that will help me to not die from hunger. I sold myself to men and women.~
  IF ~~ THEN GOTO talkSaliaF2
END

IF ~~ talkSaliaF2
  SAY ~Than one day I saw Bodhi feeding on some rich bastard. I asked her for deliverance, and she made me her minion. Now I don't have sex with the ones I don't like and I don't need money anymore to continue living.~
END

IF ~~ talkSaliaF3
   SAY ~Bodhi saved me from my low life and I love her.~
   IF ~~ THEN EXIT
END



IF ~~ suckblood
  SAY ~Aaahhh! Ahhh!!~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckblood2
END

IF ~~ suckbloodNo
  SAY ~Do you call this BLOOD?~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ suckblood2
  SAY ~Ohhhh! Ahhhh! Aaaaa!~
  IF ~~ THEN DO ~ApplyDamagePercent(Player1,85,MAGIC)
  SetGlobalTimer("BloodlustTimer","LOCALS",ONE_DAY)
		ApplySpell(Myself,RESTORE_FULL_HEALTH)~ EXIT 
END

IF ~~ vampconvm
  SAY ~(Salia firmly embraces you by neck and gets closer.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END


IF ~~ vampconvf
  SAY ~(Salia's teeth go out and gently bite you in your neck.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END

IF ~~ vampconv2
  SAY ~(Suddently you feel her teeths have pierced your skin and gone to carotid vein. Blood flow is distracted and becomes pulsating. You feel that your blood flows into Salia.)~
IF ~~ GOTO vampconv3
END

IF ~~ vampconv3
  SAY ~(Soon you feel great weakness, your throuths are clouded. And you loose consciousness.)~
IF ~~ GOTO vampconv4
END

IF ~~ vampconv4
  SAY ~(...You open your eyes. World around you have changed. You have changed. You feel coldness of your body and immediately you feel all-consuming hunger growing in you.)~
IF ~~ GOTO vampconv5
END

IF ~~ vampconv5
  SAY ~(You are now undead, as you wished. Now you feel presence of Salia. Salia sure have known many things about life.)~

  IF ~~ THEN DO ~  
  ActionOverride(Player1,SetGlobal("ActorVampirisedLevel","LOCALS",2))
		ChangeStat(Player1,CON,3,ADD)
		ChangeStat(Player1,WIS,-1,ADD)
		ChangeStat(Player1,INT,-1,ADD)
	

		SetGlobal("SaliaVampirized","GLOBAL",1)	
	~ EXIT
END


//bodhi interjections

INTERJECT BSSALIA talkSaliaM2 BodhiTalksOnSaliaPast
  == DBODHI     IF ~IsValidForPartyDialog("c6bodhi")~ THEN 
    ~Salia, you must always remember who gave you immortality and saved you from your miserable life.~
  == BSSALIA    IF ~IsValidForPartyDialog("c6bodhi")~ THEN 
    ~Of cause I remember.~
END BSSALIA talkSaliaM3 		
		

INTERJECT BSSALIA talkSaliaF2 BodhiTalksOnSaliaPast
  == DBODHI     IF ~IsValidForPartyDialog("c6bodhi")~ THEN 
    ~Salia, you must always remember who gave you immortality and saved you from your miserable life.~
  == BSSALIA    IF ~IsValidForPartyDialog("c6bodhi")~ THEN 
    ~Of cause I remember.~
END BSSALIA talkSaliaF3 		
		
			